import { h } from 'preact';
import { gameName } from "./util";

export function About() {
    return (
        <div className="App-about">
            <p>
                <i>{gameName}</i> is a spin on the popular word game{" "}
                <a href="https://www.powerlanguage.co.uk/wordle/">
                    <i>Wordle</i>
                </a>{" "}
                by <a href="https://twitter.com/powerlanguish">powerlanguage</a>,
                built on <a href="https://twitter.com/chordbug">chordbug</a>'s{" "}
                <a href="https://github.com/lynn/hello-wordl">hello wordl</a> and
                inspired by <a href="https://qntm.org/">qntm</a>'s{" "}
                <a href="https://qntm.org/files/absurdle/absurdle.html">Absurdle</a>.
            </p>
            <p>
                You start with a prepopulated table of guesses and must find a way to
                <i>guarantee</i> a win in exactly 2 guesses. There are always more than
                two possible words at the start, so brute force won't work, but feel
                free to try if you're stuck!
                <br />
                <br />
                The feedback you get on your guesses is <i>adversarial</i>: the game
                always responds in a way that minimizes the amount of information you
                get, while staying within the set of possible words. To win, you must
                force the game to narrow down the possibilities to a single word,
                then guess that word.
                <br />
                <br />
                The word list is fairly small and only includes "common" words.
                Unlike Wordle &amp; hello wordl, your guesses are constrained to this
                small list as well, because losing on the 2nd guess to choosing a word
                that you didn't know was "uncommon" would be silly.
                <br />
                <br />
                There's a new puzzle every day, starting at 6 AM in your timezone.
            </p>
            <hr />
            <p>
                Like "hello wordl", this game will be free and ad-free for as long as
                it's online.
                <br />
                <a href="https://meow.garden/contact-me">Contact Ash</a> if you have
                any questions.
            </p>
        </div>
    );
}
